$field-size: rhythm(7.5) !default;
$field-crossed-color: map-get($text-colors, 'success') !default;
$field-crossed-animation: wobble .5s ease-in-out both !default;
$field-background: map-get($background-colors, 'normal') !default;
$field-sign-size: rhythm(5) !default;
$field-sign-animation: rise .25s ease-in forwards !default;


.#{$namespace}-field {
  flex: 0 0 auto;
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 0;
  background: $field-background;
  cursor: pointer;
  z-index: 1;

  &--crossed {
    .#{$namespace}-field__sign {
      stroke: $field-crossed-color;
      animation: $field-crossed-animation;

      g, path, circle {
        stroke: inherit;
      }
    }
  }

  &__sign {
    position: relative;
    width: $field-sign-size;
    height: $field-sign-size;
    animation: $field-sign-animation;

    &--x {

    }

    &--o {

    }
  }
}


@include respond-to('small') {
  .#{$namespace}-field {
    &__sign {
      width: rhythm(4);
      height: rhythm(4);
    }
  }
}